## lpc21isp 1.94

=== Makefile ===
all:      lpc21isp

GLOBAL_DEP  = adprog.h lpc21isp.h lpcprog.h lpcterm.h
CC = gcc

ifneq ($(findstring(freebsd, $(OSTYPE))),)
CFLAGS+=-D__FREEBSD__
endif

ifeq ($(OSTYPE),)
OSTYPE		= $(shell uname)
endif

ifneq ($(findstring Darwin,$(OSTYPE)),)
CFLAGS+=-D__APPLE__
endif

CFLAGS	+= -Wall -static

adprog.o: adprog.c $(GLOBAL_DEP)
	$(CC) $(CDEBUG) $(CFLAGS) -c -o adprog.o adprog.c

lpcprog.o: lpcprog.c $(GLOBAL_DEP)
	$(CC) $(CDEBUG) $(CFLAGS) -c -o lpcprog.o lpcprog.c

lpcterm.o: lpcterm.c $(GLOBAL_DEP)
	$(CC) $(CDEBUG) $(CFLAGS) -c -o lpcterm.o lpcterm.c

lpc21isp: lpc21isp.c adprog.o lpcprog.o lpcterm.o $(GLOBAL_DEP)
	$(CC) $(CDEBUG) $(CFLAGS) -o lpc21isp lpc21isp.c adprog.o lpcprog.o lpcterm.o

clean:
	$(RM) adprog.o lpcprog.o lpcterm.o lpc21isp

## lpc21isp 1.8.3

=== debian/changelog ===
lpc21isp (1.8.3-2) unstable; urgency=low

  * Fix FTBFS on armhf and armel: Disable weird macros.

 -- Agustin Henze <tin@sluc.org.ar>  Thu, 04 Aug 2012 16:11:20 -0300

lpc21isp (1.8.3-1) unstable; urgency=low

  * Initial release (Closes: #683679) 

 -- Agustin Henze <tin@sluc.org.ar>  Thu, 02 Aug 2012 15:43:20 -0300

=== debian/control ===
Source: lpc21isp
Section: devel
Priority: extra
Maintainer: Agustin Henze <tin@sluc.org.ar>
Build-Depends: debhelper (>= 9), cmake, cdbs, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/lpc21isp/

Package: lpc21isp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: In-circuit programming (ISP)
 In-circuit programming (ISP) tool for the NXP(Philips)
 LPC1100/LPC1300/LPC1700/LPC2000 series ARM7/Cortex-M0/
 Cortex-M3 microcontrollers.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/dpkg/buildflags.mk

## lpc21isp 1.85

=== debian/changelog ===
lpc21isp (1.85-1) unstable; urgency=low

  * Imported Upstream version 1.85
  * Added git-buildpackage config
  * Removed patch 02-macros_disabled_for_build_in_armhf_and_armelf, fixed in
    the upstream release.
  * Improved package description.
  * Added Vcs-git and Vcs-Browser fields
  * Added upstream changelog

 -- Agustin Henze <tin@sluc.org.ar>  Tue, 05 Feb 2013 22:02:51 -0300

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Build-Depends: debhelper (>= 9), cmake, cdbs, dpkg-dev (>= 1.16.1~)
 Standards-Version: 3.9.3
 Homepage: http://sourceforge.net/projects/lpc21isp/
+Vcs-Git: git://git.debian.org/collab-maint/lpc21isp.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lpc21isp.git
 
 Package: lpc21isp
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: In-circuit programming (ISP)
+Description: In-circuit programming (ISP) of ARM and Cortex microcontrollers
  In-circuit programming (ISP) tool for the NXP(Philips)
  LPC1100/LPC1300/LPC1700/LPC2000 series ARM7/Cortex-M0/
  Cortex-M3 microcontrollers.

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 include /usr/share/dpkg/buildflags.mk
+
+install/lpc21isp::
+	gzip -9 -c debian/lpc21isp.changelog.upstream > debian/lpc21isp/usr/share/doc/lpc21isp/changelog.gz

## lpc21isp 1.94

=== debian/changelog ===
lpc21isp (1.94-2) unstable; urgency=low

  * Remove unnecessary patch
  * Use my debian account in the Maintainer field
  * Add get-orig-source target into debian/rules file

 -- Agustin Henze <tin@debian.org>  Mon, 26 Aug 2013 18:15:33 -0300

lpc21isp (1.94-1) unstable; urgency=low

  * Add debian/watch file
  * Imported Upstream version 1.94
  * Now use dh instead of CDBS for building the package
  * Convert debian/copyright file to machine readable
  * Updated upstream changelog
  * Add get-orig-source target into debian/rules file

 -- Agustin Henze <tin@debian.org>  Thu, 15 Aug 2013 12:20:19 +0200

lpc21isp (1.85-2) unstable; urgency=low

  * Bumped Standard-Version to 3.9.4 (no changes required)
  * Fixed lintian warning about non-canonical vcs field.

 -- Agustin Henze <tin@sluc.org.ar>  Fri, 22 Mar 2013 18:36:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lpc21isp
 Section: devel
 Priority: extra
-Maintainer: Agustin Henze <tin@sluc.org.ar>
-Build-Depends: debhelper (>= 9), cmake, cdbs, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.3
+Maintainer: Agustin Henze <tin@debian.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~)
+Standards-Version: 3.9.4
 Homepage: http://sourceforge.net/projects/lpc21isp/
-Vcs-Git: git://git.debian.org/collab-maint/lpc21isp.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/lpc21isp.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lpc21isp.git
 
 Package: lpc21isp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n -e's/^Version: \(.*\)-[^-]\+/\1/p')
VERSION_WITHOUT_POINT := $(shell echo $(UPSTREAM_VERSION) | tr -d ".")

%:
	dh $@

override_dh_auto_clean:
	make clean

override_dh_auto_build:
	cc $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o lpc21isp lpc21isp.c adprog.c lpcprog.c lpcterm.c

override_dh_installchangelogs:
	dh_installchangelogs debian/lpc21isp.changelog.upstream

get-orig-source:
		@if [ ! -d "debian" ] ; then \
			echo 'Run this from the top directory of the Debian source' >&2; \
			exit 1; \
		fi
		wget http://sourceforge.net/projects/lpc21isp/files/lpc21isp/$(UPSTREAM_VERSION)/lpc21isp_$(VERSION_WITHOUT_POINT).tar.gz/download -O ../lpc21isp_$(UPSTREAM_VERSION).orig.tar.gz;

## lpc21isp 1.97

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,13 @@
 OSTYPE		= $(shell uname)
 endif
 
+CFLAGS		+= -Wall
+
 ifneq ($(findstring Darwin,$(OSTYPE)),)
 CFLAGS+=-D__APPLE__
+else
+CFLAGS		+= -static
 endif
-
-CFLAGS	+= -Wall -static
 
 adprog.o: adprog.c $(GLOBAL_DEP)
 	$(CC) $(CDEBUG) $(CFLAGS) -c -o adprog.o adprog.c

=== debian/changelog ===
lpc21isp (1.97-4) unstable; urgency=medium

  * [d/rules] Remove get-orig-target target
  * Change Priority from obsolete `extra` by `optional`
  * Bumped Standards-Version to 4.2.0 (no changes needed)
  * Update Vcs-* fields pointing to salsa
  * Update dh to 11 (no changes needed)
  * Use https for debian/watch url
  * Set DEB_BUILD_MAINT_OPTIONS to hardening+=all
  * Use https on debian/copyright `Format` field
  * Add support for LPC40XX devices.
    Thanks to Cristiano Rodrigues <microcris@aeiou.pt> (Closes: #892259)

 -- Agustin Henze <tin@debian.org>  Sun, 19 Aug 2018 10:36:35 +0200

lpc21isp (1.97-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop hack to set __DATE__ and __TIME__
    Rely on SOURCE_DATE_EPOCH support in toolchain to provide reproducibility.
    (Closes: #835109)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 05 Apr 2018 14:00:18 +0200

lpc21isp (1.97-2) unstable; urgency=medium

  * Fix timestamps_from_cpp_macros
    + Set __DATE__ and __TIME__ macros with the last debian/changelog date
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Fri, 21 Aug 2015 18:37:36 +0200

lpc21isp (1.97-1) unstable; urgency=medium

  * New upstream release version 1.97
  * Bumped Standard-Version to 3.9.5 (no changes required)

 -- Agustin Henze <tin@debian.org>  Tue, 25 Feb 2014 09:49:03 -0300

=== debian/control ===
Source: lpc21isp
Section: devel
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~)
Standards-Version: 4.2.0
Homepage: http://sourceforge.net/projects/lpc21isp/
Vcs-Git: https://salsa.debian.org/debian/lpc21isp.git
Vcs-Browser: https://salsa.debian.org/debian/lpc21isp

Package: lpc21isp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: In-circuit programming (ISP) of ARM and Cortex microcontrollers
 In-circuit programming (ISP) tool for the NXP(Philips)
 LPC1100/LPC1300/LPC1700/LPC2000 series ARM7/Cortex-M0/
 Cortex-M3 microcontrollers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	make clean

override_dh_auto_build:
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o lpc21isp lpc21isp.c adprog.c lpcprog.c lpcterm.c

override_dh_installchangelogs:
	dh_installchangelogs debian/lpc21isp.changelog.upstream

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//;s/^1\.8\.3$/1.83/,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/^(\d)(\d\d)$/$1.$2/ \
https://qa.debian.org/watch/sf.php/lpc21isp/lpc21isp[_\-](\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)|jar)
